name: MOLEX_48037-2200
description: USB 2.0 standard-A plug, right angle
datasheet: https://www.molex.com/pdm_docs/sd/480372200_sd.pdf
keywords: connector, USB

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  SHELL:
    SHIELD: 5, 6

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB
  bottom: SHELL

housing:
  pattern: custom
  bodyWidth: 12.00
  bodyLength: 18.75
  bodyPosition: 0, 8.375 # 17.75 - 18.75 / 2
  height: 4.50
  silkscreen: M -5.85, -5.625, 5.85, -5.625 # PCB edge (8.375 - 2.75)

  # USB pads
  padWidth: 1.20
  padHeight: 3.00
  padPosition: 3.50, -2.60, 1.00, -2.60, -1.00, -2.60, -3.50, -2.60

  # shell tabs
  holeDiameter1: 2.50
  slotWidth1: 0.70
  slotHeight1: 2.50
  padPosition1: -5.85, 0, 5.85, 0

  # alignment pins
  holeDiameter2: 1.10
  padDiameter2: 0
  padPosition2: -2.25, 0, 2.25, 0
